BLAKE2_ParameterBlock< T_64bit > Class Template Reference

BLAKE2 parameter block. More...

## Detailed Description

### template<bool T_64bit>
class BLAKE2_ParameterBlock< T_64bit >

BLAKE2 parameter block.

Template Parameters

  T_64bit | flag indicating 64-bit

BLAKE2b uses BLAKE2_ParameterBlock<true>, while BLAKE2s uses BLAKE2_ParameterBlock<false>.

Since
  Crypto++ 5.6.4

Definition at line 54 of file blake2.h.

The documentation for this class was generated from the following file:

- blake2.h